<?php
namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;

class AdminMiddleware
{
public function handle(Request $request, Closure $next)
{
    // Cek apakah user sudah login dan apakah role-nya 'admin'
    if (!auth()->check() || auth()->user()->role !== 'admin') {
        return redirect('/')->with('error', 'Anda tidak memiliki akses admin.');
    }

    return $next($request);

    }
}
